Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class EventExchangerAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.BaseAgent
                      oracle.ifs.core.agents.EventExchangerAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class EventExchangerAgent

extends BaseAgent

An EventExchangerAgent is used by the EventExchanger to periodcally purge old events.

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary
`static java.lang.String` | `IFS_SERVER_EventLifespan`
`static java.lang.String` | `IFS_SERVER_TIMER_ActivationPeriod`
`static java.lang.String` | `IFS_SERVER_TIMER_InitialDelay`
`static java.lang.String` | `IFS_SERVER_TIMER_InitialTimeOfDay`
`static java.lang.String` | `PURGE_COUNT_CUMLATIVE`
`static java.lang.String` | `PURGE_COUNT_LAST_ACTIVATION`

Fields inherited from class oracle.ifs.core.agents.BaseAgent
`ERROR_COUNT_CUMULATIVE, ERROR_COUNT_LAST_ACTIVATION`

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`EventExchangerAgent()` Constructs the EventExchangerAgent.

Method Summary
`protected void` | `activate()` Purges old events.
`void` | `initialize()` Initialize prior to running
`protected void` | `initOnRun()` called at beginning of run method for initialization.
`static void` | `main(java.lang.String[] args)` This is used to run the EventExchanger Agent in the standalone mode.

Methods inherited from class oracle.ifs.core.agents.BaseAgent
`addToProperty, handleResumeRequest, handleStopRequest, handleSuspendRequest, handleTimerExpired, incrementProperty, isAgent, postRun, publishProperty, run, standardPostRun, supportsSuspendResume`

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, preRun, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PURGE_COUNT_LAST_ACTIVATION

    public static final java.lang.String PURGE_COUNT_LAST_ACTIVATION

See Also:
  Constant Field Values

### PURGE_COUNT_CUMLATIVE

    public static final java.lang.String PURGE_COUNT_CUMLATIVE

See Also:
  Constant Field Values

### IFS_SERVER_EventLifespan

    public static final java.lang.String IFS_SERVER_EventLifespan

See Also:
  Constant Field Values

### IFS_SERVER_TIMER_ActivationPeriod

    public static final java.lang.String IFS_SERVER_TIMER_ActivationPeriod

See Also:
  Constant Field Values

### IFS_SERVER_TIMER_InitialTimeOfDay

    public static final java.lang.String IFS_SERVER_TIMER_InitialTimeOfDay

See Also:
  Constant Field Values

### IFS_SERVER_TIMER_InitialDelay

    public static final java.lang.String IFS_SERVER_TIMER_InitialDelay

See Also:
  Constant Field Values

Constructor Detail

### EventExchangerAgent

    public EventExchangerAgent()
                        throws IfsException

  Constructs the EventExchangerAgent.

  Throws:
    `IfsException` - (IFS-46000) if the operation fails
  (Unpublished)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `EventExchangerAgent`
  This is used to run the EventExchanger Agent in the standalone mode.

  Throws:
    `java.lang.Exception`

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `EventExchangerAgent`
  Initialize prior to running

  Overrides:
    `initialize` in class `BaseAgent`
  Throws:
    `java.lang.Exception` - if the operation fails

### initOnRun

    protected void initOnRun()
                      throws java.lang.Exception

  Description copied from class: `EventExchangerAgent`
  called at beginning of run method for initialization.

  Overrides:
    `initOnRun` in class `BaseAgent`
  Throws:
    `java.lang.Exception`
  (Unpublished)

### activate

    protected void activate()
                     throws IfsException

  Description copied from class: `EventExchangerAgent`
  Purges old events.

  Overrides:
    `activate` in class `BaseAgent`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD